<template>
  <div class="scroll-horiz">
  <div class="subjBackground">
    <h2>Alle trajecten</h2>

    <div>
      <h3 class="test">Gemaakt op</h3>
      <h3 class="test">Gewijzigd op</h3>
      <h3>Acties</h3>
    </div>

    <div class="subj">
      <OneTraject v-for="traject in trajectories" :key="traject.id"
                  :traj-data="traject"></OneTraject>
    </div>
  </div>
  </div>

  <div class="scroll-horiz">
  <div class="subjBackground">
    <h2>Favoriete trajecten</h2>

    <div>
      <h3 class="test">Gemaakt op</h3>
      <h3 class="test">Gewijzigd op</h3>
      <h3>Acties</h3>
    </div>

    <div class="subj">
      <OneTraject v-for="traject in favoriteTrajectories" :key="traject.id"
                  :traj-data="traject"></OneTraject>
    </div>
  </div>
  </div>

  <div class="scroll-horiz">
  <div class="subjBackground">
    <h2>Gedeelde trajecten</h2>

    <div>
      <h3 class="test">Gemaakt op</h3>
      <h3 class="test">Gewijzigd op</h3>
      <h3>Acties</h3>
    </div>

    <div class="subj">
      <OneTraject v-for="traject in sharedTrajectories" :key="traject.id"
                  :traj-data="traject"></OneTraject>
    </div>
  </div>
  </div>

  <div class="scroll-horiz">
  <div class="subjBackground">
    <h2>Geaccepteerde trajecten</h2>

    <div>
      <h3 class="test">Gemaakt op</h3>
      <h3 class="test">Gewijzigd op</h3>
      <h3>Acties</h3>
    </div>

    <div class="subj">
      <OneTraject v-for="traject in acceptedTrajectories" :key="traject.id"
                  :traj-data="traject"></OneTraject>
    </div>
  </div>
  </div>
</template>

<script>
import OneTraject from '../molecules/OneTraject.vue';
// import trajects from '../../../dummy_data/trajects';

export default {
  name: 'Trajects',
  components: { OneTraject },
  // data() {
  //   return {
  //     trajects,
  //   };
  // },
  // props: ['id'],
  computed: {
    trajectories() {
      return this.$store.getters.trajectories;
    },
    sharedTrajectories() {
      return this.$store.getters.trajectories.filter((traject) => traject.shared === 1);
    },
    favoriteTrajectories() {
      return this.$store.getters.trajectories.filter((traject) => traject.favorite === 1);
    },
    acceptedTrajectories() {
      return this.$store.getters.trajectories.filter((traject) => traject.accepted === 1);
    },
  },
  async created() {
    // eslint-disable-next-line no-return-assign
    this.$store.dispatch('getTrajectories');
  },
};
</script>

<style scoped lang="scss">
.scroll-horiz{
  padding: 20px 0;
}
.subjBackground{
  background-color: $my-white;
  width: 80%;
  margin: 0 auto 1% auto;
  border-radius: 11px;
  min-width: 650px;

  h2{
    font-size: 1.6em;
    padding: 20px 0 10px 0;
    border-bottom: $my-orange solid 1px;
    margin: 2px 4% 2px 4%;
    line-height: 130%;
    font-family: $my-text;
    color: $my-orange;
  }

  h2+div{
    width: 87%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-content: center;
    margin: 0 auto;

    h3{
      padding-top: 4%;
      font-size: 1.3em;
      font-family: $my-text;
      font-weight: bold;
      color: $my-black;
    }
    .test{
      width: 31.33%;
    }
  }

  .subj{
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    padding: 20px 50px 50px 50px;
  }
}

@media (max-width: 650px){
  .scroll-horiz{
    overflow: scroll;
  }
}
</style>
